%define _legacy_common_support 1
%global forgeurl https://github.com/privacyidea/privacyidea-pam
%global tag v1.0.0
%forgemeta
Summary:        Module for Linux PAM stack to authenticate users against privacyIDEA
Name:           pam_privacyidea
Version:        1.0.0
Release:        1%{?dist}
Epoch:          1
License:        GPLv2
URL:            %{forgeurl}
Source:         %{name}-%{version}.tgz
Requires:       pam
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  pam-devel
BuildRequires:  json-devel
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig(libcurl)
%description
Module for Linux PAM stack to authenticate users against privacyIDEA
%prep
%setup -q -n privacyidea-pam-%{version}
sed -i 's|"json.hpp"|<nlohmann/json.hpp>|' include/privacyidea.h
sed -i 's|"json.hpp"|<nlohmann/json.hpp>|' src/privacyidea.cpp
%build
CFLAGS="%{optflags} -std=c99" make %{?_smp_mflags} all
%install
install -D -p -m 755 pam_privacyidea.so %{buildroot}/%{_lib}/security/pam_privacyidea.so
install -D -p -m 444 samples/privacyidea-auth %{buildroot}%{_sysconfdir}/pam.d/privacyidea-auth
install -D -p -m 444 samples/privacyidea-2nd-auth %{buildroot}%{_sysconfdir}/pam.d/privacyidea-2nd-auth
%files
%config(noreplace) %{_sysconfdir}/pam.d/privacyidea-auth
%config(noreplace) %{_sysconfdir}/pam.d/privacyidea-2nd-auth
/%{_lib}/security/pam_privacyidea.so
%changelog
* Wed Sep 4 2024 py 1:1.0.0-1
- initial build
